<form *ngIf="inputdata.title == 'Edit Task' || inputdata.title == 'Add Task'" [formGroup]="myform"
    (ngSubmit)="saveTask()">
    <h1 mat-dialog-title>{{inputdata.title}}</h1>
    <div mat-dialog-content>
        <mat-form-field>
            <mat-label>Title</mat-label>
            <input formControlName="title" matInput>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Describe your task</mat-label>
            <textarea matInput formControlName="description"></textarea>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Status</mat-label>
            <mat-select formControlName="status">
                <mat-option value="To Do">To Do</mat-option>
                <mat-option value="In Progress">In Progress</mat-option>
                <mat-option value="Done">Done</mat-option>
            </mat-select>
        </mat-form-field>
    </div>
    <div class="action-buttons" mat-dialog-actions>
        <button mat-raised-button type="submit" color="accent">Save</button>
        <button mat-raised-button (click)="closepopup()" color="primary">Close</button>
    </div>
</form>


<form *ngIf="inputdata.title == 'View Task'" [formGroup]="myform" (ngSubmit)="saveTask()">
    <h1 mat-dialog-title>{{inputdata.title}}</h1>
    <div mat-dialog-content>
        <mat-form-field>
            <mat-label>Title</mat-label>
            <input color="danger" formControlName="title" matInput>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Describe your task</mat-label>
            <textarea matInput formControlName="description"></textarea>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Status</mat-label>
            <mat-select formControlName="status">
                <mat-option value="To Do">To Do</mat-option>
                <mat-option value="In Progress">In Progress</mat-option>
                <mat-option value="Done">Done</mat-option>
            </mat-select>
        </mat-form-field>
    </div>
    <div class="action-buttons" mat-dialog-actions>
        <button mat-raised-button (click)="closepopup()" color="primary">Close</button>
    </div>
</form>